import { getNotChangedLines } from "./getNotChangedLines.js";
export const checkDirty = ({ changes, range }) => {
    const notChangedLines = getNotChangedLines(changes);
    for (const notChangedLine of notChangedLines) {
        if (range[0] >= notChangedLine[0] && range[1] <= notChangedLine[1]) {
            return false;
        }
    }
    return true;
};
