import { join } from "node:path";
import { getConfig } from "./getConfig.js";
export function getInfo(options) {
    let cwd = process.cwd();
    if (options === null || options === void 0 ? void 0 : options.cwd) {
        cwd = options.cwd;
    }
    // working directory, like `git -C <path>`
    const workingDirectory = cwd;
    const relationFilePath = join(workingDirectory, ".relation", "relation.json");
    const config = getConfig(cwd);
    return {
        cwd,
        workingDirectory,
        relationFilePath,
        config,
    };
}
